body {
  background: url("../img/login_background.jpg") 50% fixed;
  background-size: cover;
}

.login {
  margin-left: 60%;
  top: 25%;
  border-radius: 2px 2px 5px 5px;
  padding: 10px 20px 20px 20px;
  width: 90%;
  max-width: 320px;
  background: #ffffff;
  position: relative;
  padding-bottom: 80px;
  box-shadow: 0px 1px 5px rgba(0, 0, 0, 0.3);
}

.login input {
  display: block;
  padding: 15px 10px;
  margin-bottom: 10px;
  width: 100%;
  border: 1px solid #ddd;
  transition: border-width 0.2s ease;
  border-radius: 2px;
  color: #ccc;
}

.login input + i.icon {
  color: #fff;
  font-size: 1em;
  position: absolute;
  margin-top: -47px;
  opacity: 0;
  left: 0;
  transition: all 0.1s ease-in;
}

.login input:focus {
  outline: none;
  color: #444;
  border-color: #4F84C4;
  border-left-width: 35px;
}

.login input:focus + i.icon {
  opacity: 1;
  left: 30px;
  transition: all 0.25s ease-out;
}

.login a {
  font-size: 0.8em;
  color: #4F84C4;
  text-decoration: none;
}

#login-button {
  width: 100%;
  height: 100%;
  padding: 10px 10px;
  background-color: #4F84C4;
  color: white;
  display: block;
  border: none;
  margin-top: 20px;
  position: absolute;
  left: 0;
  bottom: 0;
  max-height: 60px;
  border: 0px solid rgba(0, 0, 0, 0.1);
  border-radius: 0 0 2px 2px;
  transform: rotateZ(0deg);
  transition: all 0.1s ease-out;
  border-bottom-width: 7px;
  font-size: 120%;
}

#login-button:hover {
  box-shadow: 2px 2px 2px 2px #4d4d4d;
}

#login-button:focus {
  border-bottom-width: 4px;
}
